import request from '@/utils/request'

// 获取商品列表数据
export function getCommodityList(data) {
  return request({
    headers: {
      'Content-Type': 'application/json'
    },
    transformRequest: [function(data) {
      data = JSON.stringify(data)
      return data
    }],
    url: 'api/product/getlistbypage',
    method: 'post',
    data
  })
}

// 添加商品列表数据
export function addCommodityList(data) {
  return request({
    url: 'api/product/addproduct',
    method: 'post',
    data
  })
}

// 编辑商品列表数据
export function editCommodityList(data) {
  return request({
    url: 'api/product/updateproduct',
    method: 'post',
    data
  })
}

// 删除商品列表数据
export function deleteCommodityList(data) {
  return request({
    url: 'api/product/delproductbyids',
    method: 'post',
    data
  })
}


